# ManualCountEditDialog class

Configuration of the dialog to manually edit the barcode count.

## Constructors

ManualCountEditDialog.new({ScanbotColor? sheetColor, ScanbotColor? dividerColor, ScanbotColor? modalOverlayColor, StyledText? title, StyledText? info, ButtonConfiguration? updateButton, ButtonConfiguration? cancelButton, IconStyle? clearTextButton})
ManualCountEditDialog.fromJson(Map<String, dynamic> json)
  factory

## Properties

cancelButton ↔ ButtonConfiguration
  Configuration of the edit dialog's cancel button. Hiding both the update and cancel buttons simultaneously is an undefined behavior.
  getter/setter pair
clearTextButton ↔ IconStyle
  Configuration of the edit dialog's button to clear the entered count number.
  getter/setter pair
dividerColor ↔ ScanbotColor
  Color of the divider and separator lines in the edit dialog.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
info ↔ StyledText
  Configuration of the edit dialog's info text.
  getter/setter pair
modalOverlayColor ↔ ScanbotColor
  Background color of the overlay surrounding the edit dialog.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
sheetColor ↔ ScanbotColor
  Color of the edit dialog's background.
  getter/setter pair
title ↔ StyledText
  Configuration of the edit dialog's title.
  getter/setter pair
updateButton ↔ ButtonConfiguration
  Configuration of the edit dialog's confirm button. Hiding both the update and cancel buttons simultaneously is an undefined behavior.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited